BUGLE-STATS_FRAGMEN(7)

NAME
bugle-stats_fragments - gather fragment counts

SYNOPSIS

filterset stats_fragments

DESCRIPTION

The stats_fragments filter-set provides signals for the number of fragments to other filter-sets. It must be listed in a chain that uses any statistics related to fragment counts.

It is simply a wrapper around GL_ARB_occlusion_query, so a fragment is defined exactly as in that extension[1] (and OpenGL 1.5), and will not work unless that extension is supported.

BUGS

Fragment counting will not work in applications that use occlusion queries. A warning is displayed when this is detected.

AUTHOR

bugle is written and maintained by Bruce Merry.

SEE ALSO

bugle(3), bugle-statistics(5)

NOTES

1.  extension
    http://www.opengl.org/registry/ARB/occlusion_query.txt